// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
// import "./assets/reset.css";
import "lib-flexible/flexible";

import "@/elementui";
import ElementUI from "element-ui";
import "element-ui/lib/theme-chalk/index.css";

import Vue from "vue";
import App from "./App";
import router from "./router";
import { Button, NavBar, Cell, CellGroup } from "vant";

Vue.use(Button)
  .use(NavBar)
  .use(Cell)
  .use(CellGroup)
  .use(ElementUI);

import { Image as VanImage } from "vant";

Vue.use(VanImage);

import { Col, Row } from "vant";

Vue.use(Col);
Vue.use(Row);

import { Grid, GridItem } from "vant";

Vue.use(Grid);
Vue.use(GridItem);

import { Icon } from "vant";

Vue.use(Icon);

import { List } from "vant";

Vue.use(List);

import { Divider } from "vant";

Vue.use(Divider);

Vue.config.productionTip = false;
import md5 from "js-md5";
Vue.prototype.$md5 = md5;
/* eslint-disable no-new */
const vm = new Vue({
  el: "#app",
  router,
  components: { App },
  template: "<App/>"
});
export default vm;